/*****************************************************

This file produces the main regression results.

*****************************************************/


/********************Identifiers*********************/
egen cusip_id = group(cusip)
egen issuer_id = group(state)
egen qtr_id = group(calendar_qtr)

/*****************Convert variables******************/
replace ret_avg=ret_avg*100
replace ret_w=ret_w*100
replace equity_ret=equity_ret*100
gen lnsize=ln(size)

/********************Winsorization*******************/
winsor2 ret_w piq_q1 lnsize sp_rtg dsp_rtg lat_gen d_current_gen dnetasset_percap gspg urg coing equity_ret, replace cuts(1 99)

/*********************Main results*******************/
xtset cusip_id return_mon_end 

reg 	ret_w piq_q1 i.issuer_id i.qtr_id, robust cluster(issuer_id)
estimates store m1
reg 	ret_w piq_q1 lnsize sp_rtg dsp_rtg lat_gen d_current_gen dnetasset_percap gspg urg coing equity_ret i.issuer_id i.qtr_id, robust cluster(issuer_id)
estimates store m2
xtreg 	ret_w piq_q1 lnsize sp_rtg dsp_rtg lat_gen d_current_gen dnetasset_percap gspg urg coing equity_ret i.issuer_id i.qtr_id,fe robust cluster(issuer_id)
estimates store m3
esttab m1 m2 m3 using "T3.rtf", label replace ar2 compress nogap star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t
